## ros-melodic-fadecandy-driver 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fadecandy_driver)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

catkin_install_python(
    PROGRAMS
    scripts/fadecandy_node
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

=== debian/changelog ===
ros-melodic-fadecandy-driver (0.1.3-1stretch) stretch; urgency=high

  * Merge pull request #13 <https://github.com/iron-ox/fadecandy_ros/issues/13> from eurogroep/fix/noetic-python3-struct-pack: fix(Noetic/Python3): Struct packing
  * Contributors: Rein Appeldoorn

 -- Jon Binney <jon.binney@ironox.com>  Mon, 02 Nov 2020 08:00:00 -0000

ros-melodic-fadecandy-driver (0.1.2-1stretch) stretch; urgency=high

  * Merge pull request #10 <https://github.com/iron-ox/fadecandy_ros/issues/10> from eurogroep/chore/log-io-error
    chore: log IO error
  * Merge pull request #9 <https://github.com/iron-ox/fadecandy_ros/issues/9> from eurogroep/fix/rospy-shutdown
    fix(shutdown): Shutdown gracefully when no connection was set-up
  * Contributors: Rein Appeldoorn

 -- Jon Binney <jon.binney@ironox.com>  Mon, 06 Jul 2020 07:00:00 -0000

ros-melodic-fadecandy-driver (0.1.1-1stretch) stretch; urgency=high

  * Merge pull request #7 <https://github.com/iron-ox/fadecandy_ros/issues/7> from jonbinney/python3-fixes
    Fixes for python3/noetic compatibility
  * Contributors: Jon Binney

 -- Jon Binney <jon.binney@ironox.com>  Wed, 03 Jun 2020 07:00:00 -0000

ros-melodic-fadecandy-driver (0.1.0-1stretch) stretch; urgency=high

  * Initial release.

 -- Jon Binney <jon.binney@ironox.com>  Thu, 28 May 2020 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-fadecandy-driver
Section: misc
Priority: optional
Maintainer: Jon Binney <jon.binney@ironox.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-fadecandy-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-usb, ros-melodic-diagnostic-updater, ros-melodic-fadecandy-msgs, ros-melodic-rospy
Description: ROS driver for fadecandy LED controllers

## ros-melodic-fadecandy-driver 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fadecandy_driver)

add_compile_options(-std=c++11)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

##################
##  Build setup ##
##################

find_package(catkin REQUIRED COMPONENTS
  diagnostic_updater
  fadecandy_msgs
  roscpp
)

find_package(PkgConfig REQUIRED)
pkg_check_modules(libusb libusb-1.0)

catkin_package(
  DEPENDS
    libusb
  CATKIN_DEPENDS
    diagnostic_updater
    fadecandy_msgs
    roscpp
)

##############
##   Build  ##
##############

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${libusb_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/${PROJECT_NAME}.cpp
  src/util.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${libusb_LIBRARIES})

add_library(${PROJECT_NAME}_ros
  src/ros/${PROJECT_NAME}_ros.cpp
)
target_link_libraries(${PROJECT_NAME}_ros ${PROJECT_NAME} )

add_executable(fadecandy_node src/ros/${PROJECT_NAME}_ros_node.cpp)
target_link_libraries(fadecandy_node ${PROJECT_NAME}_ros)

#############
## Install ##
#############

install(
  TARGETS
    ${PROJECT_NAME}
    ${PROJECT_NAME}_ros
    fadecandy_node
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-fadecandy-driver (0.2.1-1bionic) bionic; urgency=high

  * chore(package.xml): Update maintainers
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 19 Apr 2021 22:00:00 -0000

ros-melodic-fadecandy-driver (0.2.0-1bionic) bionic; urgency=high

  * Feat/refactor to c++ (#20 <https://github.com/iron-ox/fadecandy_ros/issues/20>)
    Co-authored-by: jad <mailto:jad.hajmustafa@eurogroep.com>
    Co-authored-by: Rein Appeldoorn <mailto:reinzor@gmail.com>
  * Merge pull request #17 <https://github.com/iron-ox/fadecandy_ros/issues/17> from eurogroep/fix/handle-reconnections
    fix: Handle reconnections properly
  * fix(diagnostics): Publish before first connect
  * Merge pull request #15 <https://github.com/iron-ox/fadecandy_ros/issues/15> from eurogroep/fix/remove-fadecandy-util-unused-file
    fix: remove unused fadecandy_util.py
  * fix: Handle reconnections properly
    Release the USB device and restart the driver when an IOError has been
    raised while sending to the USB device. This way, we can recover from
    unplugging and pluggin the USB device.
  * fix: remove unused fadecandy_util.py
  * Contributors: Catherine Wong, Jad Haj Mustafa, Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Sun, 18 Apr 2021 22:00:00 -0000

ros-melodic-fadecandy-driver (0.1.3-1bionic) bionic; urgency=high

  * Merge pull request #13 <https://github.com/iron-ox/fadecandy_ros/issues/13> from eurogroep/fix/noetic-python3-struct-pack: fix(Noetic/Python3): Struct packing
  * Contributors: Rein Appeldoorn

 -- Jon Binney <jon.binney@ironox.com>  Sun, 01 Nov 2020 23:00:00 -0000

ros-melodic-fadecandy-driver (0.1.2-1bionic) bionic; urgency=high

  * Merge pull request #10 <https://github.com/iron-ox/fadecandy_ros/issues/10> from eurogroep/chore/log-io-error
    chore: log IO error
  * Merge pull request #9 <https://github.com/iron-ox/fadecandy_ros/issues/9> from eurogroep/fix/rospy-shutdown
    fix(shutdown): Shutdown gracefully when no connection was set-up
  * Contributors: Rein Appeldoorn

 -- Jon Binney <jon.binney@ironox.com>  Sun, 05 Jul 2020 22:00:00 -0000

ros-melodic-fadecandy-driver (0.1.1-1bionic) bionic; urgency=high

  * Merge pull request #7 <https://github.com/iron-ox/fadecandy_ros/issues/7> from jonbinney/python3-fixes
    Fixes for python3/noetic compatibility
  * Contributors: Jon Binney

 -- Jon Binney <jon.binney@ironox.com>  Tue, 02 Jun 2020 22:00:00 -0000

ros-melodic-fadecandy-driver (0.1.0-1bionic) bionic; urgency=high

  * Initial release.

 -- Jon Binney <jon.binney@ironox.com>  Wed, 27 May 2020 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-fadecandy-driver
Section: misc
Priority: optional
Maintainer: Rein Appeldoorn <reinzor@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-fadecandy-msgs, ros-melodic-roscpp, ros-melodic-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-fadecandy-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0-dev, ros-melodic-diagnostic-updater, ros-melodic-fadecandy-msgs, ros-melodic-roscpp
Description: ROS driver for fadecandy LED controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-fadecandy-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
